<?php
/*
* Plugin Name: Analytify Email Notifications
* Plugin URI: http://analytify.io/
* Description: Send your site Stats to your Client with Analytify Email add-on.
* Version: 1.2.3
* Author: 20script
* Author URI: http://www.20script.ir/
* License: GPLv2+
* Text Domain: wp-analytify-email
* Domain Path: /languages
*/

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}


define( 'ANALTYIFY_EMAIL_VERSION', '1.2.3' );
define( 'ANALYTIFY_EMAIL_ROOT_PATH', dirname( __FILE__ ) . '/' );
define( 'ANALYTIFY_IMAGES_PATH',  'http://analytify.io/assets/email/' );
define( 'ANALYTIFY_EMAIL_UPGRADE_PATH', __FILE__ );


add_action( 'plugins_loaded' , 'analytify_email_instance' , 20 );

function analytify_email_instance(){

	// check for analytify
	if ( ! file_exists( WP_PLUGIN_DIR . '/wp-analytify-pro/wp-analytify-pro.php' ) ) {
		add_action( 'admin_notices' , 'wpa_email_install_analytify_pro' );
		return;
	}

	if ( ! class_exists( 'WP_Analytify_Pro_Base' ) ) {
		add_action( 'admin_notices' ,  'wpa_email_active_analytify_pro' );
		return;
	}

	include_once ANALYTIFY_EMAIL_ROOT_PATH . 'wp-analytify-email-class.php';
	$WP_Analytify_Email_instance = new WP_Analytify_Email();
}



function wpa_email_install_analytify_pro( ) {
	$class = 'notice notice-error is-dismissible';
	$message = __( 'oops! Please Install Analytify Pro to use "Analytify Email Notifications" add-on.', 'wp-analytify-email' );

	printf( '<div class="%1$s"><p>%2$s</p></div>', $class, $message );
}

function wpa_email_active_analytify_pro( ) {
	$class = 'notice notice-error is-dismissible';
	$message = __( 'oops! Please activate Analytify Pro to use "Analytify Email Notifications" add-on.', 'wp-analytify-email' );

	printf( '<div class="%1$s"><p>%2$s</p></div>', $class, $message );
}

register_activation_hook( __FILE__ , 'wp_analytify_email_activation' );;
register_deactivation_hook( __FILE__ , 'wp_analytify_email_deactivation'  );

function wp_analytify_email_deactivation( ){

	wp_clear_scheduled_hook( $GLOBALS['WP_ANALYTIFY']->settings->get_option( 'analytif_email_cron_time','wp-analytify-email' ) );
}


function wp_analytify_email_activation() {

	$_analytify_email =  get_option( 'wp-analytify-email' );

	if ( empty( $_analytify_email ) ) {

		$default['analytify_email_stats'] = array(
			'show-overall-general',
			'show-top-pages',
			'show-geographics',
			'show-system',
			'show-system',
			'show-keywords',
			'show-social',
			'show-whats-happen',
		);

		$default['analytify_email_user_email'] = get_bloginfo('admin_email');

		update_option( 'wp-analytify-email' , $default );
	}

}

/**
 * Helper function for translation.
 */
if ( ! function_exists( 'analytify__' ) ) {
	/**
	 * Wrapper for __() gettext function.
	 * @param  string $string     Translatable text string
	 * @param  string $textdomain Text domain, default: wp-analytify
	 * @return void
	 */
	function analytify__( $string, $textdomain = 'wp-analytify' ) {
		return __( $string, $textdomain );
	}
}

if ( ! function_exists( 'analytify_e' ) ) {
	/**
	 * Wrapper for _e() gettext function.
	 * @param  string $string     Translatable text string
	 * @param  string $textdomain Text domain, default: wp-analytify
	 * @return void
	 */
	function analytify_e( $string, $textdomain = 'wp-analytify' ) {
		echo __( $string, $textdomain );
	}
}

/**
 * Load TextDoamin
 *
 * @since 1.0.2
 */
function wp_analytify_email_addon_load_text_domain() {
	$plugin_dir = basename( dirname( __FILE__ ) );
	load_plugin_textdomain( 'wp-analytify-email', false , $plugin_dir . '/languages/' );
}
add_action( 'init', 'wp_analytify_email_addon_load_text_domain' );

?>
